Bug 1283140 - No way to add two providers on same address and different port [NEEDINFO]
No way to add two providers on same address and different port
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
x86_64 Linux
unspecified Severity high
: GA
: 5.6.0
Assigned To: Greg Blomquist
Dave Johnson
Depends On:
Blocks: 1290396
  Show dependency treegraph
Reported: 2015-11-18 06:15 EST by Jaroslav Henner
Modified: 2018-01-05 18:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1290396 (view as bug list)
Last Closed: 2016-02-18 16:19:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gblomqui: needinfo? (jhardy)

Attachments (Terms of Use)

  None (edit)
Description Jaroslav Henner 2015-11-18 06:15:10 EST
Description of problem:
CFME seems to disallow adding two providers sharing same Hostname (IP), but differing in port.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add provider A on hostname A.B.C.D port X
2. Try adding provider B on hostname A.B.C.D port Y

Actual results:
Not allowed

Expected results:

Additional info:
I understand this may be quite esoteric requirement, but I think there may be some NAT machine doing port-forwarding to different API serves based on port for example. In that case, the MIQ won't be able manage more than one of the API servers at a time.
Comment 2 Greg Blomquist 2015-12-14 09:47:31 EST
John, is this a typical deployment for customers?
Comment 3 Greg Blomquist 2016-02-18 16:19:53 EST
Hey Jaroslav,

technically you can do this via https://bugzilla.redhat.com/show_bug.cgi?id=1287834.

But, note that we're likely to close that loophole at some point in the future.  We've never allowed more than one provider to reside on the same host.

If John Hardy (CFME Product Manager) comes back and says this is an important feature for us to support, we can reopen this issue.

Note You need to log in before you can comment on or make changes to this bug.